<?php $wpm_options = get_option($this->name); ?>
<script type="text/javascript">
function confirm_reset() {
  var answer = confirm("All of your custom messages will also be reset.  Are you sure you want to reset all settings (even widget settings)?");
  if(answer)
    return true;
  else
    return false;
}
</script>
<form method="post"><fieldset>
<?php
    // check options
    $default_options = $this->get_default_options();
    foreach( $default_options as $option_name => $option_value )
    {
      if ( !array_key_exists($option_name, $wpm_options) ) {
        printf('
          <div style="background-color:#FFFBCC;border:1px solid #E6DB55;margin:10px 0;padding:5px;">%s&nbsp;&nbsp;<input type="submit" name="wpm_options_upgrade_submit" value="%s &#187;"/></div>
          ',
          __('Some option settings are missing (possibly from plugin upgrade).  Please reactivate.', $this->name),
          __('Reactivate', $this->name)
        );
        break;
      }
    }

    // prepare options data for display
    if ($wpm_options['show_link']) {
      $show_link_check1 = 'checked';
      $show_link_check2 = '';
    }
    else {
      $show_link_check1 = '';
      $show_link_check2 = 'checked';
    }

    if ($wpm_options['debug']) {
      $debug_check = 'checked';
    }
    else {
      $debug_check = '';
    }

    printf('
      <h2>%s</h2>
      <p><label>%s &nbsp; <input name="wpm_options_update[show_link]" value="on" type="radio" %s/></label></p>
      <p><label>%s <a href="http://omninoggin.com/donate">%s</a> %s &nbsp; <input name="wpm_options_update[show_link]" value="off" type="radio" %s/></label></p>
      <h2>%s</h2>
      <p><label>%s &nbsp; <input name="wpm_options_update[debug]" type="checkbox" %s/> &nbsp; (%s)</label></p>
      <p><label>%s<input name="wpm_options_update[cache_interval]" type="text" size="4" value="%s"/>%s <span class="submit"><input type="submit" name="wpm_options_clear_cache_submit" value="%s"/></span></p></label>
      <p><label>%s<br/><input name="wpm_options_update[wp_path]" type="text" size="40" value="%s"/></p></label>
      <p><label>%s<br/><textarea name="wpm_options_update[js_include]" style="width:600px" rows="5">%s</textarea></label></p>
      <p><label>%s<br/><textarea name="wpm_options_update[js_exclude]" style="width:600px" rows="5">%s</textarea></label></p>
      <p><label>%s<br/><textarea name="wpm_options_update[css_include]" style="width:600px" rows="5">%s</textarea></label></p>
      <p><label>%s<br/><textarea name="wpm_options_update[css_exclude]" style="width:600px" rows="5">%s</textarea></label></p>
      ',
      __('Support this plugin!', $this->name),
      __('Display "Page optimized by WP Minify" link in the footer', $this->name),
      $show_link_check1,
      __('Do not display "Page optimized by WP Minify" link.  I will ', $this->name),
      __('donate', $this->name),
      __('and/or write about this plugin', $this->name),
      $show_link_check2,
      __('General Configuration', $this->name),
      __('Debug mode', $this->name),
      $debug_check,
      __('Combine files but do not minify', $this->name),
      __('Cache expires after every', $this->name),
      attribute_escape($wpm_options['cache_interval']),
      __('seconds', $this->name),
      __('Manually Clear Cache', $this->name),
      __('WordPress path from web root (e.g. Use "blog/wordpress" if your blog is installed under "http://example.com/blog/wordpress".  Leave empty if your blog is installed in the web root.)', $this->name),
      attribute_escape($wpm_options['wp_path']),
      __('Additional Javascript files to minify (line delimited)', $this->name),
      attribute_escape(implode(chr(10), $wpm_options['js_include'])),
      __('Javascript files to not minify (line delimited)', $this->name),
      attribute_escape(implode(chr(10), $wpm_options['js_exclude'])),
      __('Additional CSS files to minify (line delimited)', $this->name),
      attribute_escape(implode(chr(10), $wpm_options['css_include'])),
      __('CSS files to not minify (line delimited)', $this->name),
      attribute_escape(implode(chr(10), $wpm_options['css_exclude']))
    );

    if ( function_exists( 'wp_nonce_field' ) && wp_nonce_field( $this->name ) ) {
      printf('
        <p class="submit">
          <input type="submit" name="wpm_options_update_submit" value="%s &#187;" />
          <input type="submit" name="wpm_options_reset_submit" value="Reset ALL Options &#187;" onclick="return confirm_reset()"/>
        </p>
        ',
        __('Update Options', $this->name),
        __('Reset ALL Options', $this->name)
      );
    }
?>
</fieldset></form>
